Summary: Various UTF-7/8 <-> bg5,gb... converter
Name: utf-converter
Version: 1.0
Release: 3mdk
Copyright: GPL
Group: Text tools
Source: utf-converter-1.0.tar.bz2
Source1: b5togb
Source2: b5touni
Source3: gbtob5
Source4: gbtouni
Patch: utf-converter-1.0-b5tou8-fix.patch.bz2
BuildRoot: %{_tmppath}/utf-converter

%description
The programs

        b5tou7 gbtou7 u7tob5 u7togb
        b5tou8 gbtou8 u8tob5 u8togb
        u8tou7 u7tou8

are filters converting from Big5, GB to UTF-8 and UTF-7, and back again,
and also between the two UTFs.

Ross Paterson <rap@doc.ic.ac.uk>
Department of Computing, Imperial College, London SW7
      
%prep
rm -rf $RPM_BUILD_ROOT
%setup  -q
%patch -p1 -b .b5tou8-fix

%build

make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 gbtou7 u7togb b5tou7 u7tob5 gbtou8 \
	u8togb b5tou8 u8tob5 u8tou7 u7tou8 unitou7 \
	u7touni unitou8 u8touni chtchs.to.gb_out $RPM_BUILD_ROOT%{_bindir}/
install -m 755 $RPM_SOURCE_DIR/b5togb $RPM_BUILD_ROOT%{_bindir}/
install -m 755 $RPM_SOURCE_DIR/gbtob5 $RPM_BUILD_ROOT%{_bindir}/
install -m 755 $RPM_SOURCE_DIR/b5touni $RPM_BUILD_ROOT%{_bindir}/
install -m 755 $RPM_SOURCE_DIR/gbtouni $RPM_BUILD_ROOT%{_bindir}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_bindir}/*

%changelog
* Sat Apr 14 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0-3mdk
- Really apply the patch :( (silly me).
- s/Text\ Tools/Text\ tools/

* Sat Apr 14 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0-2mdk
- Merge a fix by Abel Cheung to handle cases where garbage is passed to
  utf-converter.

* Thu Jan 04 2001 Geoffrey Lee <snailtalk@mandrakesoft.com>  1.0-1mdk
- shamelessly rip from CLE.

* Sat Nov 18 2000 Andrew Lee <andrew@cle.linux.org.tw>
- rebuild for LM 7.2

* Mon Sep 11 2000 Andrew Lee <andrew@cle.linux.org.tw>
- Group: Text Tools

* Mon Mar 15 1999 Cheng Yuan-Chung <platin@cle.linux.org.tw>
- add scripts -> b5togb, b5touni, gbtob5, gbtouni

* Mon Sep 28 1998 Cheng Yuan-Chung <platin@ms.ccafps.khc.edu.tw>
- Initial version


